Issue 18342

Summary: Styles of lines (e.g. around table cells) not imported correctly
Product: Writer Reporter: jwork123nl <j.spaandonk>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Minor    
Priority: P3 CC: elish, issues
Version: OOo 1.1 RC3   
Target Milestone: ---   
Hardware: PC   
OS: Windows, all   
Issue Type: ENHANCEMENT Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---
Attachments:
Description Flags
A word 97 document showing line styles not imported correctly
none
Word 2010 vs. Writer 4.1 none

Description jwork123nl 2003-08-18 11:16:26 UTC
I attached a small word (97) document that shows the problem
(It also shows vertical text not preserved after import,
which is already reported in another bug report).

I investigated a bit, and it seems that OpenOffice 1.1RC3 just
does not support as many line styles as MS word 97.
The result is that even very simple, commonly used linestyles
(e.g., dashed) are shown in OO as simple lines.

Therefore I marked this issue as a feature request. It seems that
first the different line styles should be implemented in OO, and then 
the import filter can be enhanced to use them (not map everything
on the current limited supported set). 

I feel it are features like this that really make the user
comfortable using OpenOffice. Not only for compatibility,
I just want to be able to use dashed, dot-dashed, etc lines!

If you want I can update this test document to include all linestyles
and also all other characteristics of tables that I can find.
Like this you can use it to test the future enhanced table importer.
Just tell me if this would be useful.

BTW great job om OO1.1!
And I really like how well you handle and comment bug reports.

Best,

John van Spaandonk
Comment 1 jwork123nl 2003-08-18 11:19:27 UTC
Created attachment 8526 [details]
A word 97 document showing line styles not imported correctly
Comment 2 stefan.baltzer 2003-09-08 17:31:03 UTC
SBA: Reassigned to Bettina from the User Experience team for consideration.
Comment 3 ace_dent 2008-05-16 02:13:51 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 bettina.haberer 2010-05-21 15:16:29 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements". 
Comment 5 Edwin Sharp 2014-04-03 15:03:03 UTC
Created attachment 83073 [details]
Word 2010 vs. Writer 4.1
Comment 6 Edwin Sharp 2014-04-03 15:04:08 UTC
Confirmed with
AOO410m15(Build:9761)  -  Rev. 1583666
2014-04-01 13:53:14 (Di, 01 Apr 2014)
Win 7